Debian Bug report logs - #547171
ITP: yum-utils -- plugins for yum

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: martijn van brummelen <mvanbrummelen990@gmail.com>

Date: Thu, 17 Sep 2009 11:42:01 UTC

Owned by: Mike Miller <mtmiller@ieee.org>

Severity: wishlist

Fixed in version yum-utils/1.1.31-1

Done: Mike Miller <mtmiller@ieee.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org, Martijn van Brummelen <mvanbrummelen990@gmail.com>:
Bug#547171; Package yum-utils. (Thu, 17 Sep 2009 11:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to martijn van brummelen <mvanbrummelen990@gmail.com>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org, Martijn van Brummelen <mvanbrummelen990@gmail.com>. (Thu, 17 Sep 2009 11:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: martijn van brummelen <mvanbrummelen990@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: yum-utils plugins for yum
Date: Thu, 17 Sep 2009 13:36:07 +0200
Package: yum-utils
Severine: wishlist
Owner: Martijn van Brummelen <mvanbrummelen990@gmail.com>

* Package name     : yum-utils
* Version          :  1.1.23
* Upstream Author  : Tim Lauridsen
* URL              : http://yum.baseurl.org/download/yum-utils/
* License          :   GPL
* Programming Lang : Python
* Description      : yum-utils is a collection of utilities and plugin
extending and supplementing yum in different ways.

Regards,
Martijn van Brummelen




Bug reassigned from package 'yum-utils' to 'wnpp'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 17 Sep 2009 11:48:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Martijn van Brummelen <mvanbrummelen990@gmail.com>:
Bug#547171; Package wnpp. (Fri, 18 Sep 2009 13:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to martijn van brummelen <mvanbrummelen990@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Martijn van Brummelen <mvanbrummelen990@gmail.com>. (Fri, 18 Sep 2009 13:42:04 GMT) Full text and rfc822 format available.

Message #12 received at 547171@bugs.debian.org (full text, mbox):

From: martijn van brummelen <mvanbrummelen990@gmail.com>
To: 547171@bugs.debian.org
Subject: ITP: yum-utils plugins for yum
Date: Fri, 18 Sep 2009 15:27:11 +0200
* Upstream Author: timlau@fedoraproject.org
* License: gplv2+
* Description: Utility's based around the yum installer




Changed Bug title to 'ITP: yum-utils -- plugins for yum' from 'ITP: yum-utils plugins for yum' Request was from Dario Minnucci (midget) <debian@midworld.net> to control@bugs.debian.org. (Wed, 30 Sep 2009 02:03:09 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Mon, 15 Mar 2010 00:15:59 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Martijn van Brummelen <mvanbrummelen990@gmail.com>:
Bug#547171; Package wnpp. (Sat, 19 Feb 2011 17:46:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Martijn van Brummelen <mvanbrummelen990@gmail.com>. (Sat, 19 Feb 2011 17:46:16 GMT) Full text and rfc822 format available.

Message #21 received at 547171@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 547171@bugs.debian.org
Cc: control@bugs.debian.org
Subject: yum-utils: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:06:12 +0000
retitle 547171 RFP: yum-utils -- plugins for yum
noowner 547171
thanks

Hi,

This is an automatic email to change the status of yum-utils back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting yum-utils, please send a mail to
<control@bugs.debian.org> with:

 retitle 547171 ITP: yum-utils -- plugins for yum
 owner 547171 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <547171@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: yum-utils -- plugins for yum' from 'ITP: yum-utils -- plugins for yum' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:51:02 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Martijn van Brummelen <mvanbrummelen990@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:51:02 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: yum-utils -- plugins for yum' from 'RFP: yum-utils -- plugins for yum' Request was from Mike Miller <mtmiller@ieee.org> to control@bugs.debian.org. (Wed, 11 Jul 2012 12:57:24 GMT) Full text and rfc822 format available.

Owner recorded as Mike Miller <mtmiller@ieee.org>. Request was from Mike Miller <mtmiller@ieee.org> to control@bugs.debian.org. (Wed, 11 Jul 2012 12:57:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#547171; Package wnpp. (Mon, 08 Apr 2013 04:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Miller <mtmiller@ieee.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 08 Apr 2013 04:09:08 GMT) Full text and rfc822 format available.

Message #34 received at 547171@bugs.debian.org (full text, mbox):

From: Mike Miller <mtmiller@ieee.org>
To: 547171@bugs.debian.org
Subject: yum-utils update
Date: Mon, 8 Apr 2013 00:04:31 -0400
Just noting that I am indeed working on this package despite a long
delay due to the freeze and other priorities. Packaging work in
progress is available at

git://anonscm.debian.org/users/mtmiller-guest/yum-utils.git
http://anonscm.debian.org/gitweb/?p=users/mtmiller-guest/yum-utils.git

Other than some missing man pages, packaging is mostly complete.

-- 
mike



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Miller <mtmiller@ieee.org>:
Bug#547171; Package wnpp. (Thu, 18 Apr 2013 19:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tyler Trafford <ttrafford@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Miller <mtmiller@ieee.org>. (Thu, 18 Apr 2013 19:09:09 GMT) Full text and rfc822 format available.

Message #39 received at 547171@bugs.debian.org (full text, mbox):

From: Tyler Trafford <ttrafford@gmail.com>
To: 547171@bugs.debian.org
Subject: debhelper version and compat
Date: Thu, 18 Apr 2013 15:06:36 -0400
I've been testing this (with mock) and it seems great.

I can see no ill effects when the debhelper version requirements (in
control and compat) are lowered to 8.  This makes it so the package can
be rebuilt for squeeze when necessary.
-- 
Tyler Trafford



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#547171; Package wnpp. (Fri, 19 Apr 2013 00:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Miller <mtmiller@ieee.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 19 Apr 2013 00:15:04 GMT) Full text and rfc822 format available.

Message #44 received at 547171@bugs.debian.org (full text, mbox):

From: Mike Miller <mtmiller@ieee.org>
To: Tyler Trafford <ttrafford@gmail.com>, 547171@bugs.debian.org
Subject: Re: Bug#547171: debhelper version and compat
Date: Thu, 18 Apr 2013 20:10:24 -0400
On Thu, Apr 18, 2013 at 3:06 PM, Tyler Trafford wrote:
> I've been testing this (with mock) and it seems great.

Thanks, glad to hear it.

> I can see no ill effects when the debhelper version requirements (in
> control and compat) are lowered to 8.  This makes it so the package can
> be rebuilt for squeeze when necessary.

Maybe, but debhelper 9 is already in squeeze-backports so it can
already be built for squeeze without any trouble.

-- 
mike



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Miller <mtmiller@ieee.org>:
Bug#547171; Package wnpp. (Wed, 07 Aug 2013 20:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Miller <mtmiller@ieee.org>. (Wed, 07 Aug 2013 20:30:09 GMT) Full text and rfc822 format available.

Message #49 received at 547171@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir@debian.org>
To: 547171@bugs.debian.org
Subject: #547171: yum-utils ITP: any news?
Date: Wed, 7 Aug 2013 22:08:47 +0200
Hi,

Any news? Any help needed packaging this one?

-- 
Tzafrir Cohen         | tzafrir@jabber.org | VIM is
http://tzafrir.org.il |                    | a Mutt's
tzafrir@cohens.org.il |                    |  best
tzafrir@debian.org    |                    | friend



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#547171; Package wnpp. (Wed, 07 Aug 2013 22:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Miller <mtmiller@ieee.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 07 Aug 2013 22:03:07 GMT) Full text and rfc822 format available.

Message #54 received at 547171@bugs.debian.org (full text, mbox):

From: Mike Miller <mtmiller@ieee.org>
To: Tzafrir Cohen <tzafrir@debian.org>, 547171@bugs.debian.org
Subject: Re: Bug#547171: #547171: yum-utils ITP: any news?
Date: Wed, 7 Aug 2013 18:00:24 -0400
On Wed, Aug 7, 2013 at 4:08 PM, Tzafrir Cohen wrote:
> Hi,
>
> Any news? Any help needed packaging this one?

Hi, very close to done, sorry again for the delay.

The only remaining issue is the pollution of the /usr/bin namespace.
As you brought up in a private mail, there are no conflicts but the
names of some commands may be confusing to Debian users, and some are
simply useless.

The useless ones have been pruned from the package, that was an easy decision.

I have been considering whether there is any alternative to installing
the rest of the commands in /usr/bin as they are given from upstream.
My mentor suggested moving the files to a private directory that is
not in the default PATH, and add it for users or scripts that want to
use the provided commands. I'm not sure that this would help Debian
more than it would hurt legitimate packages and user scripts that use
yum-utils.

Or, since the package is Priority: extra, it should only be installed
by users who already know what they are getting, so perhaps that plus
a verbose description of the contents and the use-case of the package
is enough.

You brought this to my attention initially with the needs-restart
command, which the package is no longer installing. Do you have any
other ideas or opinions on this issue?

Thanks,

-- 
mike



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#547171; Package wnpp. (Thu, 15 Aug 2013 13:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Miller <mtmiller@ieee.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 15 Aug 2013 13:06:05 GMT) Full text and rfc822 format available.

Message #59 received at 547171@bugs.debian.org (full text, mbox):

From: Mike Miller <mtmiller@ieee.org>
To: Tzafrir Cohen <tzafrir@debian.org>, 547171@bugs.debian.org
Subject: Re: Bug#547171: #547171: yum-utils ITP: any news?
Date: Thu, 15 Aug 2013 09:03:58 -0400
On Wed, Aug 07, 2013 at 18:00:24 -0400, Mike Miller wrote:
> On Wed, Aug 7, 2013 at 4:08 PM, Tzafrir Cohen wrote:
> > Hi,
> >
> > Any news? Any help needed packaging this one?
> 
> Hi, very close to done, sorry again for the delay.

The best help I can use now is testing, I think the package is in good
shape now.

Since your mock ITP depends on this one, please pull from the repo and
test out the latest changes and make sure I didn't break anything you
require.

-- 
mike



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 19 Aug 2013 08:06:07 GMT) Full text and rfc822 format available.

Reply sent to Mike Miller <mtmiller@ieee.org>:
You have taken responsibility. (Tue, 03 Sep 2013 04:03:08 GMT) Full text and rfc822 format available.

Notification sent to martijn van brummelen <mvanbrummelen990@gmail.com>:
Bug acknowledged by developer. (Tue, 03 Sep 2013 04:03:08 GMT) Full text and rfc822 format available.

Message #66 received at 547171-close@bugs.debian.org (full text, mbox):

From: Mike Miller <mtmiller@ieee.org>
To: 547171-close@bugs.debian.org
Subject: Bug#547171: fixed in yum-utils 1.1.31-1
Date: Tue, 03 Sep 2013 04:00:09 +0000
Source: yum-utils
Source-Version: 1.1.31-1

We believe that the bug you reported is fixed in the latest version of
yum-utils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 547171@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Miller <mtmiller@ieee.org> (supplier of updated yum-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 19 Aug 2013 01:37:59 -0400
Source: yum-utils
Binary: yum-utils
Architecture: source all
Version: 1.1.31-1
Distribution: unstable
Urgency: low
Maintainer: Mike Miller <mtmiller@ieee.org>
Changed-By: Mike Miller <mtmiller@ieee.org>
Description: 
 yum-utils  - Utilities based around the yum package manager
Closes: 547171
Changes: 
 yum-utils (1.1.31-1) unstable; urgency=low
 .
   * Initial release. (Closes: #547171)
Checksums-Sha1: 
 4ded0af7caaf7f6dd63f086b68d88f7967d75852 1919 yum-utils_1.1.31-1.dsc
 aa96ccb97ad3a7c53a47c1bda418ce2604b77f1e 221988 yum-utils_1.1.31.orig.tar.gz
 249872a9240c8493b568f9814c22a41fbda383e3 20177 yum-utils_1.1.31-1.debian.tar.gz
 b6539d3a9e5bd59577e7e0a5f6ac9229327740d0 120262 yum-utils_1.1.31-1_all.deb
Checksums-Sha256: 
 067c210ed3c20a56c25b38903340d83bca946f1b4cc0d23c5ac914d340124402 1919 yum-utils_1.1.31-1.dsc
 1f7a9bad2ad743399a7f73353f532636d38042b8f93943d8427e48161700e1f4 221988 yum-utils_1.1.31.orig.tar.gz
 cb463d330dc8ae928a87f6718c23c6f946eb136f7a4721f4d3bcf07b8303916f 20177 yum-utils_1.1.31-1.debian.tar.gz
 d06aa804a23c3101bef600f0b1275cb09d2bff155328c0102162f529e0a31055 120262 yum-utils_1.1.31-1_all.deb
Files: 
 45f7af001f9042fb24301a81f212eb62 1919 admin extra yum-utils_1.1.31-1.dsc
 b2859b89321b98f2581243536e1b4993 221988 admin extra yum-utils_1.1.31.orig.tar.gz
 3b94355f1a1c5bbcfda0f3ece8007230 20177 admin extra yum-utils_1.1.31-1.debian.tar.gz
 1feac4c8bddb88a98f8ac2464ebb77c8 120262 admin extra yum-utils_1.1.31-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJSEbpOAAoJEE5xYO1KyO4dLDoQAMzSqzWDC9xMJO9/sjSwhtSf
t9CpmNT8z0fz5Eksc+LIwn8nc3jyZdG/oYd/j7s2r0qVmZzRl6QGa4RMa6P7RzJa
eM4I3VsfJ2Lx17x8yk+uJAYvdFOfjBcNTcuzHnzgPLIqlE8RlAGGuX6hsTSQj7H9
Mbk6U13cP+kQPF0Ok3tTa6Z+doxcrIfCWM0DAEaNlXv5MdE1yuuoGlkZoAlU2oen
Z4t0zfme3mblCrWgaTQxlFrlXdomXUhhl++a9DZFvr8vX15O4r672GWCg/mNuNDf
dHEmbS5fSn1AzVSrPzLExdqyKZgQ0ve9eoADNZZkHOSOOR7FXF4B0bNj+Xy7Sj7N
hfRt9fG4vKEan68gZHUUaWuArb/xHMh+RbqRVOkHne8lCbfEt400R5XMNUE9bFRE
BqR1m8DpkBxZE5r4T0H1rd/gW47FPWvQeGHveanLCoHA3U3XnOjBakzKerAUpK4n
LdXomGBYzSyTcE0MEXiAlUsYSw23N/DIjwo/R++Xlprtp7ObDvnvu6RVViHf7wbS
D5Xx4/Upv8vTI6CrYiEIkU/O0gWxg6YqBybVB3DE6WfpsmgNiTA4zV7/j/PRxwrv
6usJCv61DLsGtia04mf7+pWvBBgq0Hi4sY8nZzBvG/8NgzrknV1MuJdRdBkNFOX0
jyPXJdYYnhHD4BR5Ap/p
=/4n3
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Oct 2013 07:44:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:48:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.